Subject: RE: Questions on unnumbered links

From: "Naidu, Venkata" <[email-masked]>
Date: Thu, 25 Oct 2001 10:22:52 -0400

Naiming:

  Thanks for your comments...please look at my inline comments.

[sinp]
->  ]    Finally, draft reads...
->  ]
->  ]		Note, however, that use of the IP unnumbered
->  ]		option for point-to-point LAN links inherits the same 
->  ]            problems as those present for serial links, i.e., not 
->  ]            being able to ping or monitor a specific interface 
->  ]            between routers.
->  ]
->  ]    Can you please explain why can't we able to ping/monitor a 
->  ]    specific unnumbered interface between routers? What is 
->  ]    preventing in present IP unnumbered case?
-> 
-> Hmm? how can you ping an unnumbered interface of a remote router
-> multiple hops away? how can you be sure which path it took to reach
-> the router if it has more than one interface connected?

  huh...I may be missing something here or you may be missing something :)
  You mean to say, you can't reach an unnumbered interface?

              -------B--------
              |1             |
              A              D
              |2             | 
              -------C--------

  Let us consider all the interfaces are unnumbered. But the requirement
  is a router should have at least one *unique* identity in the topology
  (after all we want to reach the desired router and _not_ the interface)
  So, let us consider all routers assigns, their respecting loopback 
  addresses to all the links.

  Router A's Routing Table looks like this:
       Dest      Nexthop      Outgoing intf   flags....
      =================================================
        D         xxxxx            1          Remote
        B         xxxxx            1          Local
        C         xxxxx            2          Local

  After all A chooses, one of the *best* paths to reach D. i.e.,
  one of the outgoing interfaces to reach D. (either intf 1 or 2)
  I didn't see any problem here to reach D. More over, why does 
  application care about which interface packets came on!
  
  As per RFC1122 *weak end system model* doesn't care about 
  interfaces to IP address matching.

  As per RFC1812 is considered, my understanding is, *unnumbered 
  interface* still has a valid IP address but is not *unique*!

--Venkata Naidu

---

From: Naiming Shen <[email-masked]>
Date: Thu, 25 Oct 2001 11:28:20 -0700

Venkata,

	Too many RFCs were cited below:-) Talking about RFCs, i just
came back from Nanog23, many vendors showing their powerful gears there,
it was interesting to read handouts of some vendors, some routers are so
powerful that not only they support both bgp3 and bgp4, but also have
full implementation of RFC1266...

	The ping to the unnumbered interface, the draft is talking about
network operation issues. It's very common for NOC engineers to ping
remote router's interface IP addresses to determine if a link is up or
down, while ping to a router's loopback cannot determine a specific
link status; a traceroute does not show which link it traverses through
if a unnumbered address is used; you can't put link's name in DNS record
if its unnumbered; if you have parallel links between two routers, if
one link is not being used, a good troubleshooting way will be to ping
the other side interface IP address of this link(this assumes showing
both sides line status up but it just does not work somehow); when a
snmp trap comes into operation center, wouldn't it be nice to see
"oc12-link2-core2-ny-dc.xyz.net just down" instead of
"core2-ny.xyz.net link 238 just down"? All being said above, unnumbered
interface is VERY useful.

thanks.

 ]Naiming:
 ]
 ]  Thanks for your comments...please look at my inline comments.
 ]
 ][sinp]
 ]->  ]    Finally, draft reads...
 ]->  ]
 ]->  ]		Note, however, that use of the IP unnumbered
 ]->  ]		option for point-to-point LAN links inherits the same 
 ]->  ]            problems as those present for serial links, i.e., not 
 ]->  ]            being able to ping or monitor a specific interface 
 ]->  ]            between routers.
 ]->  ]
 ]->  ]    Can you please explain why can't we able to ping/monitor a 
 ]->  ]    specific unnumbered interface between routers? What is 
 ]->  ]    preventing in present IP unnumbered case?
 ]-> 
 ]-> Hmm? how can you ping an unnumbered interface of a remote router
 ]-> multiple hops away? how can you be sure which path it took to reach
 ]-> the router if it has more than one interface connected?
 ]
 ]  huh...I may be missing something here or you may be missing something :)
 ]  You mean to say, you can't reach an unnumbered interface?
 ]
 ]              -------B--------
 ]              |1             |
 ]              A              D
 ]              |2             | 
 ]              -------C--------
 ]
 ]  Let us consider all the interfaces are unnumbered. But the requirement
 ]  is a router should have at least one *unique* identity in the topology
 ]  (after all we want to reach the desired router and _not_ the interface)
 ]  So, let us consider all routers assigns, their respecting loopback 
 ]  addresses to all the links.
 ]
 ]  Router A's Routing Table looks like this:
 ]       Dest      Nexthop      Outgoing intf   flags....
 ]      =================================================
 ]        D         xxxxx            1          Remote
 ]        B         xxxxx            1          Local
 ]        C         xxxxx            2          Local
 ]
 ]  After all A chooses, one of the *best* paths to reach D. i.e.,
 ]  one of the outgoing interfaces to reach D. (either intf 1 or 2)
 ]  I didn't see any problem here to reach D. More over, why does 
 ]  application care about which interface packets came on!
 ]  
 ]  As per RFC1122 *weak end system model* doesn't care about 
 ]  interfaces to IP address matching.
 ]
 ]  As per RFC1812 is considered, my understanding is, *unnumbered 
 ]  interface* still has a valid IP address but is not *unique*!
 ]
 ]--Venkata Naidu

- Naiming